package com.jtauber.fop.fo.flow;

import com.jtauber.fop.fo.*;
import com.jtauber.fop.fo.properties.*;

import com.jtauber.fop.layout.Document;
import com.jtauber.fop.layout.FontState;

import com.jtauber.fop.apps.FOPException;

import java.util.Enumeration;

public class ListItemBody extends FObj {
	public static class Maker extends FObj.Maker {
		public FObj make(Document doc, FObj parent, PropertyList propertyList) throws FOPException {
			return new ListItemBody(doc, parent,propertyList);
		}
	}
	public ListItemBody(Document doc, FObj parent, PropertyList propertyList) {
		super(doc,parent,propertyList);
		this.foName = "fo:list-item-body";
	}
	protected void addCharacters(char data[], int start, int length) {}
	protected void finishText() {}
	public void layout() throws FOPException {
		doc.setInListBody(true);
		this.layoutChildren();		
		doc.setInListBody(false);
	}
public static FObj.Maker maker() {
	return new ListItemBody.Maker();
}
}