package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class InitialPageNumber extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return false; }

		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new InitialPageNumber(propertyList, Integer.parseInt(value));
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new InitialPageNumber(propertyList, 1);
		}
		
	}

	private int value;
	
public InitialPageNumber(PropertyList propertyList, int explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public static Property.Maker maker() {
	return new ID.Maker();
}
public int number() {
	return this.value;
}
}