package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class FontSize extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return true; }
		
		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new FontSize(propertyList, new Length(value));
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new FontSize(propertyList, new Length("10pt"));
		}
	}

	private Length value;
	
public FontSize(PropertyList propertyList, Length explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public Length length() {
	return this.value;
}
public static Property.Maker maker() {
	return new FontSize.Maker();
}
}