package com.jtauber.fop.fo.properties;

import com.jtauber.fop.fo.*;

import com.jtauber.fop.apps.FOPException;

public class FontWeight extends Property {
	
	public static class Maker extends Property.Maker {
		public boolean isInherited() { return true; }

		public Property make(PropertyList propertyList, String value) throws FOPException {
			return new FontWeight(propertyList, value);
		}

		public Property make(PropertyList propertyList) throws FOPException {
			return new FontWeight(propertyList, "normal");
		}
	}

	private String value;
	
public FontWeight(PropertyList propertyList, String explicitValue) {
	super(propertyList);
	this.value = explicitValue;
}
public static Property.Maker maker() {
	return new FontWeight.Maker();
}
public String string() {
	return this.value;
}
}